module Config.Colour exposing (..)

import Element exposing (..)
import Element.Background as B
import Element.Font as F
import Html.Attributes as H exposing (style)


type alias Theme =
    { textLightGrey : Color
    , textDarkGrey : Color
    , textLightOrange : Color
    , textDarkOrange : Color
    , backgroundLightGrey : Color
    , debugColour : Color
    , backgroundDarkGrey : Color
    , barGreen : Color
    , barRed : Color
    , transparent : Color
    }


colourTheme : Theme
colourTheme =
    { textLightGrey = rgb255 212 212 212
    , textDarkGrey = rgb255 126 126 126
    , textLightOrange = rgb255 204 102 0
    , textDarkOrange = rgb255 120 60 0
    , backgroundLightGrey = rgb255 40 40 40
    , debugColour = rgb255 227 28 121
    , backgroundDarkGrey = rgb255 30 30 30
    , barGreen = rgb255 0 102 0
    , barRed = rgb255 102 0 0
    , transparent = rgba 1 1 1 0
    }
