module Config.Identity exposing (..)


type alias PageInput =
    { pageHome : String
    , pageRoot : String
    , pageContact : String
    , pageDebate : String
    , pageDodgers : String
    , pageGibberish : String
    , pageHyperBlog : String
    , pageInterviews : String
    , pageNutriDex : String
    , pageServices : String
    , pageDonate : String
    }


pageNames : PageInput
pageNames =
    { pageRoot = "home"
    , pageHome = "upRootNutrition"
    , pageServices = "services"
    , pageDodgers = "cuckList"
    , pageDebate = "arguments"
    , pageGibberish = "gibberish"
    , pageHyperBlog = "hyperBlog"
    , pageNutriDex = "nutriDex"
    , pageInterviews = "interviews"
    , pageContact = "contact"
    , pageDonate = "donate"
    }


createPageName : String -> String
createPageName pageName =
    pageNames.pageHome ++ " :: " ++ pageName


rootName : String
rootName =
    createPageName pageNames.pageRoot


homeName : String
homeName =
    createPageName pageNames.pageHome


contactName : String
contactName =
    createPageName pageNames.pageContact


debateName : String
debateName =
    createPageName pageNames.pageDebate


dodgersName : String
dodgersName =
    createPageName pageNames.pageDodgers


gibberishName : String
gibberishName =
    createPageName pageNames.pageGibberish


hyperBlogName : String
hyperBlogName =
    createPageName pageNames.pageHyperBlog


interviewsName : String
interviewsName =
    createPageName pageNames.pageInterviews


nutriDexName : String
nutriDexName =
    createPageName pageNames.pageNutriDex


servicesName : String
servicesName =
    createPageName pageNames.pageServices


donateName : String
donateName =
    createPageName pageNames.pageDonate
