module Config.StrengthBar exposing (..)

import Config.Colour exposing (..)
import Config.Format exposing (..)
import Config.ToolTip exposing (..)
import Cuckery.Types exposing (..)
import Effect exposing (Effect)
import Element as E exposing (..)
import Element.Background as B exposing (..)
import Element.Border as D
import Element.Font as F
import Html.Attributes as H exposing (style)
import Layouts
import Page exposing (Page)
import Route exposing (Route)
import Shared
import View exposing (View)


barMaker : (Int -> String) -> Int -> Element msg
barMaker getTooltip num =
    el
        ([ E.height <| px 12
         , E.width fill
         , D.rounded 10
         , D.color colourTheme.textDarkGrey
         , D.width 2
         , B.gradient
            { angle = 1.57
            , steps =
                List.concat
                    [ List.repeat num colourTheme.barGreen
                    , List.repeat (10 - num) colourTheme.barRed
                    ]
            }
         ]
            ++ [ tooltip (getTooltip num) ]
        )
        none


barPadding : List (Element msg) -> Element msg
barPadding =
    column
        [ E.width fill
        , E.alignLeft
        , paddingEach
            { top = 0
            , right = 0
            , bottom = 0
            , left = 10
            }
        ]
